Subject: pkg/30840: devel/nss does not builds on GNU/Linux
To: None <,,>
From: None <>
List: pkgsrc-bugs
Date: 07/26/2005 16:25:00
>Number:         30840
>Category:       pkg
>Synopsis:       devel/nss does not builds on GNU/Linux
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          support
>Submitter-Id:   net
>Arrival-Date:   Tue Jul 26 16:25:00 +0000 2005
>Release:        Linux 2.6.9pl2
System: Linux pl2 2.6.9pl2 #10 Mon Jul 4 04:19:21 CEST 2005 i686 GNU/Linux
Architecture: i686
Machine: i686
	devel/nss is not fine. patches tries to fix the problem, that does not.

	I was able to follow the build just dropping the -lplc4 and -lnspr4 on 
	*/ but this is a very ugly solution, because it cannot find the
	external syms.

	BTW i can't understand why chat/gaim depends on nss, ok, it's BSD like
	instead of using gnutls. But I think that this must be defined in options
	or something similar, but force users to use nss, when they can use gnutls
	it's stupid. Look at this output:

pancake@pl2:/usr/pkgsrc$ find .| grep nss| grep buildlink| wc -l

	Few time ago, I sent another PR about gaim integrating the options framework.